Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Interface QueryLocalHome

All Superinterfaces:
  EJBLocalHome

public interface QueryLocalHome
extends EJBLocalHome

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Query` | `createQuery()` Creates a query that doesn't take input parameters.
`Query` | `createSqlQuery()` Creates a query that doesn't take input parameters.
`String` | `getDatabaseProductName()`
`String` | `getDatabaseProductVersion()`
`String` | `nativeQuery(String query)` Returns the result of calling JDBC's nativeSQL() method.
`PreparedQuery` | `prepareQuery(String ejbql)` Creates a prepared query that takes input parameters.
`PreparedQuery` | `prepareQuery(String ejbql, Properties props)` Creates a prepared query that takes input parameters and properties

Methods inherited from interface javax.ejb.EJBLocalHome
`remove`

Method Detail

### createQuery

    public Query createQuery()
                      throws EJBException

  Creates a query that doesn't take input parameters.

  Throws:
    `EJBException`

### createSqlQuery

    public Query createSqlQuery()
                         throws EJBException

  Creates a query that doesn't take input parameters.

  Throws:
    `EJBException`

### getDatabaseProductName

    public String getDatabaseProductName()
                                  throws EJBException

  Throws:
    `EJBException`

### getDatabaseProductVersion

    public String getDatabaseProductVersion()
                                     throws EJBException

  Throws:
    `EJBException`

### nativeQuery

    public String nativeQuery(String query)
                       throws EJBException

  Returns the result of calling JDBC's nativeSQL() method.

  Throws:
    `EJBException`

### prepareQuery

    public PreparedQuery prepareQuery(String ejbql)
                               throws EJBException

  Creates a prepared query that takes input parameters.

  Throws:
    `EJBException`

### prepareQuery

    public PreparedQuery prepareQuery(String ejbql,
                                      Properties props)
                               throws EJBException

  Creates a prepared query that takes input parameters and properties

  Throws:
    `EJBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD